tigase.jaxmpp.j2se.connectors.socket

## Class XMPPDomBuilderHandler

- java.lang.Object
- - tigase.jaxmpp.j2se.connectors.socket.XMPPDomBuilderHandler

- Type Parameters:
    `RefObject` -

      public class XMPPDomBuilderHandler
      extends Object

  `XMPPDomBuilderHandler` - implementation of `SimpleHandler` building DOM strctures during parsing time. It also supports creation multiple, sperate document trees if parsed buffer contains a few XML documents. As a result of work it returns always `Queue` containing all found XML trees in the same order as they were found in network data.
  Document trees created by this DOM builder consist of instances of `Element` class or instances of class extending `Element` class. To receive trees built with instances of proper class user must provide `ElementFactory` implementation creating instances of required `ELement` extension.

  Created: Sat Oct 2 22:01:34 2004

  Version:
    $Rev: 2129 $
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMPPDomBuilderHandler(StreamListener ioserv)` Constructs ...
    `XMPPDomBuilderHandler(StreamListener ioserv, ElementFactory factory)` Constructs ...

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `elementCData(StringBuilder cdata)` Method description
    `void` | `endElement(StringBuilder name)` Method description
    `void` | `error(String errorMessage)` Method description
    `void` | `otherXML(StringBuilder other)` Method description
    `boolean` | `parseError()` Method description
    `Object` | `restoreParserState()` Method description
    `void` | `saveParserState(Object state)` Method description
    `void` | `startElement(StringBuilder name, StringBuilder[] attr_names, StringBuilder[] attr_values)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMPPDomBuilderHandler

          public XMPPDomBuilderHandler(StreamListener ioserv)

      Constructs ...
      Parameters:
        `ioserv` -

    - #### XMPPDomBuilderHandler

          public XMPPDomBuilderHandler(StreamListener ioserv,
                                       ElementFactory factory)

      Constructs ...
      Parameters:
        `ioserv` -
        `factory` -

  - ### Method Detail

    - #### elementCData

          public void elementCData(StringBuilder cdata)

      Method description
      Parameters:
        `cdata` -

    - #### endElement

          public void endElement(StringBuilder name)

      Method description
      Parameters:
        `name` -

    - #### error

          public void error(String errorMessage)

      Method description
      Parameters:
        `errorMessage` -

    - #### otherXML

          public void otherXML(StringBuilder other)

      Method description
      Parameters:
        `other` -

    - #### parseError

          public boolean parseError()

      Method description
      Returns:

    - #### restoreParserState

          public Object restoreParserState()

      Method description
      Returns:

    - #### saveParserState

          public void saveParserState(Object state)

      Method description
      Parameters:
        `state` -

    - #### startElement

          public void startElement(StringBuilder name,
                                   StringBuilder[] attr_names,
                                   StringBuilder[] attr_values)

      Method description
      Parameters:
        `name` -
        `attr_names` -
        `attr_values` -

Copyright © 2006–2017 Tigase. All rights reserved.